%define	upstream_name    DBD-mysql
%define upstream_version 4.028
#define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
%define subrel 1
Release:    %mkrel 3

Summary:    MySQL-Perl bindings
License:    GPL
Group:      Development/Databases
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:	    perl-DBD-mysql-CVE-2014-9906.patch
Patch1:	    perl-DBD-mysql-CVE-2015-8949.patch

BuildRequires: perl(DBI) >= 1.80.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: mysql-devel
BuildRequires: openssl-devel
BuildRequires: perl-devel
BuildRequires: zlib-devel
Provides:   perl-Mysql
Obsoletes:  perl-Mysql

%description
DBD::mysql is an interface driver for connecting the DBMS independent Perl API
DBI to the MySQL DBMS. When you want to use MySQL from within perl, DBI and
DBD::mysql are your best choice: Unlike "mysqlperl", another option, this is
based on a common standard, so your sources will easily be portable to other
DBMS's.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%serverbuild

%{__perl} Makefile.PL INSTALLDIRS=vendor
#--testhost=127.0.0.1 --testport=22222
%make OPTIMIZE="$CFLAGS"

# make test requires a running mysql server
#make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml TODO eg
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Thu Aug 11 2016 luigiwalser <luigiwalser> 4.28.0-3.1.mga5
+ Revision: 1045967
- add patches from debian to fix CVE-2014-9906 and CVE-2015-8949

* Wed Oct 15 2014 umeabot <umeabot> 4.28.0-3.mga5
+ Revision: 749215
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.28.0-2.mga5
+ Revision: 684097
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 sander85 <sander85> 4.28.0-1.mga5
+ Revision: 659384
- update to 4.028

* Tue Jun 03 2014 jquelin <jquelin> 4.27.0-2.mga5
+ Revision: 632206
- perl 5.20.0 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 4.27.0-1.mga5
+ Revision: 606186
- update to 4.027

* Mon Feb 10 2014 jquelin <jquelin> 4.26.0-1.mga5
+ Revision: 588259
- update to 4.026

* Mon Oct 21 2013 umeabot <umeabot> 4.24.0-2.mga4
+ Revision: 539258
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 4.24.0-1.mga4
+ Revision: 491698
- update to 4.024

* Mon Jun 10 2013 jquelin <jquelin> 4.23.0-1.mga4
+ Revision: 441527
- update to 4.023

* Wed May 29 2013 jquelin <jquelin> 4.22.0-3.mga4
+ Revision: 431182
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.22.0-2.mga3
+ Revision: 365044
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 4.22.0-1.mga3
+ Revision: 297969
- update to 4.022

* Tue Jun 05 2012 jquelin <jquelin> 4.21.0-1.mga3
+ Revision: 254734
- update to 4.021

* Wed May 30 2012 jquelin <jquelin> 4.20.0-3.mga3
+ Revision: 250490
- rebuild for perl 5.16

* Tue Dec 20 2011 barjac <barjac> 4.20.0-2.mga2
+ Revision: 184666
- Bump release
- Rebuild against mariadb

  + jquelin <jquelin>
    - update to 4.020

* Sun Jun 12 2011 ahmad <ahmad> 4.19.0-4.mga2
+ Revision: 104423
- Update to 4.019

  + sander85 <sander85>
    - Rebuild for perl 5.14

* Thu Mar 24 2011 dmorgan <dmorgan> 4.18.0-2.mga1
+ Revision: 77078
- Rebuild against new mysql

* Fri Feb 25 2011 jquelin <jquelin> 4.18.0-1.mga1
+ Revision: 59651
- update to 4.018

* Sat Jan 22 2011 jquelin <jquelin> 4.17.0-4.mga1
+ Revision: 32734
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 4.17.0-3.mga1
+ Revision: 30043
- mageia rebuild
- imported package perl-DBD-mysql

